Package de.willuhn.jameica.hbci.gui.parts

# Class KontoauszugPdfList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.KontoauszugPdfList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class KontoauszugPdfList extends de.willuhn.jameica.gui.parts.TablePart
Fertig konfigurierte Liste zur Anzeige der Liste mit den PDF-Kontoauszuegen.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`KontoauszugPdfList.TransferMessageConsumer`
Hilfsklasse damit wir ueber importierte Transfers informiert werden.

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners, settings`

## Constructor Summary

Constructors
Constructor
Description
`KontoauszugPdfList()`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.CheckboxInput`
`getInclusiveFilter()`
Liefert eine Checkbox, um auch nur teilweise im Zeitraum liegende Kontoauszuege anzuzeigen.
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`de.willuhn.jameica.gui.input.Input`
`getTo()`
Liefert das Eingabe-Datum fuer das End-Datum.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getUnread()`
Liefert eine Checkbox, um nur die ungelesenene Kontoauszuege anzuzeigen.
`void`
`handleSettings()`
Oeffnet die Einstellungen.
`protected boolean`
`hasChanged()`
Prueft, ob seit der letzten Aktion Eingaben geaendert wurden.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, createFeatureEventContext, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, getSummary, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoauszugPdfList

public KontoauszugPdfList()
ct.

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `de.willuhn.jameica.gui.parts.TablePart`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### getTo

public de.willuhn.jameica.gui.input.Input getTo()
Liefert das Eingabe-Datum fuer das End-Datum.

Returns:
  Eingabe-Feld.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### getUnread

public de.willuhn.jameica.gui.input.CheckboxInput getUnread()
Liefert eine Checkbox, um nur die ungelesenene Kontoauszuege anzuzeigen.

Returns:
  Checkbox.

### getInclusiveFilter

public de.willuhn.jameica.gui.input.CheckboxInput getInclusiveFilter()
Liefert eine Checkbox, um auch nur teilweise im Zeitraum liegende Kontoauszuege anzuzeigen.

Returns:
  Checkbox.

### hasChanged

protected boolean hasChanged()
Prueft, ob seit der letzten Aktion Eingaben geaendert wurden. Ist das nicht der Fall, muss die Tabelle nicht neu geladen werden.

Returns:
  true, wenn sich wirklich was geaendert hat.

### handleSettings

public void handleSettings() throws de.willuhn.util.ApplicationException
Oeffnet die Einstellungen.

Throws:
  `de.willuhn.util.ApplicationException`